# cycler with different colors for the pages
cycler = Utils.cycle "#877DD7","#2DD7AA","#28AFFA","#7DDD11"


# ‘screen’ layer with border
screen = new Layer
	width: 375, height: 667
	backgroundColor: null
	point: Align.center
	borderColor: "gray", borderWidth: 1
	clip: yes	# hide pages outside of this frame


# smaller Page Component
page = new PageComponent
	width: screen.width - 40
	height: screen.height - 40
	x: 20, y: 20
	scrollVertical: no
	parent: screen
	clip: no	# previous & next page also visible


# adding 8 pages
for number in [1..8]
	aPage = new Layer
		width: page.width, height: page.height
		backgroundColor: cycler()
	Utils.labelLayer aPage, "Page " + number
	page.addPage aPage
